| Bsoft 2.0.5 Bernard's software package

Classes | Functions
Color.h File Reference

Classes for color objects. More...

`#include "Bstring.h"`

Go to the source code of this file.

## Classes
class | RGBA< Type >
class | CMYK< Type >
class | RGB< Type >
class | RGBA< Type >
class | CMYK< Type >

## Functions
template<typename Type >
ostream & | operator<< (ostream &output, RGB< Type > rgb)
template<typename Type >
ostream & | operator<< (ostream &output, RGBA< Type > rgba)
template<typename Type >
ostream & | operator<< (ostream &output, CMYK< Type > cmyk)

## Detailed Description

Classes for color objects.

Author
  Bernard Heymann

Date
  Created: 20050112
  Modified: 20170420

Definition in file Color.h.

## Function Documentation

## ◆ operator<<() [1/3]

template<typename Type >

ostream& operator<< | ( | ostream & | output,
|  | RGB< Type > | rgb
| ) |  |

Definition at line 148 of file Color.h.

## ◆ operator<<() [2/3]

template<typename Type >

ostream& operator<< | ( | ostream & | output,
|  | RGBA< Type > | rgba
| ) |  |

Definition at line 250 of file Color.h.

## ◆ operator<<() [3/3]

template<typename Type >

ostream& operator<< | ( | ostream & | output,
|  | CMYK< Type > | cmyk
| ) |  |

Definition at line 307 of file Color.h.